SPLIT(1)

NAME
split - split a file into pieces

SYNOPSIS
split [-lines] [-l lines] [-b bytes[bkm]] [-C bytes[bkm]] [--lines=lines] [--bytes=bytes[bkm]] [--line-bytes=bytes[bkm]] [--help] [--version] [infile [outfile-prefix]]

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of split. split creates one or more output files (as many as necessary) containing consecutive sections of the infile, or the standard input if none is given or the name `-' is given. By default, split puts 1000 lines of the input file, or whatever is left if it is less than that, into each output file.

The output file names consist of a prefix followed by a group of letters, chosen so that concatenating the output files in sorted order by file name produces the original input file, in order. The default output file name prefix is `x'. If the outfile-prefix argument is given, it is used as the output file name prefix instead.

  OPTIONS

-lines, -l lines, --lines=lines
    Put lines lines of the input file into each output file.

-b bytes[bkm], --bytes=bytes[bkm]
    Put bytes bytes of the input file into each output file. bytes is a nonzero integer, optionally followed by one of the following characters to specify a different unit.

    b   512-byte blocks.

    k   1-kilobyte blocks.

    m   1-megabyte blocks.

-C bytes[bkm], --line-bytes=bytes[bkm]
    Put into each output file as many complete lines of the input file as is possible without exceeding bytes bytes. If a line that is longer than bytes bytes occurs, put bytes bytes of it into each output file until less than bytes bytes of the line are left, then continue normally. bytes has the same format as for the --bytes option.

--help
    Print a usage message and exit with a status code indicating success.

--version
    Print version information on standard output then exit.